package com.mingxue.spider.fliphtml5;

import java.util.Collections;
import java.util.concurrent.TimeUnit;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.chrome.ChromeOptions;

public class QuickUpload2 {
    private static String host = "https://fliphtml5.com";
    private User user = new User();
    ChromeDriver driver;

    class User {
        String mail = "duzejun111@163.com";
        String pass = "duzejun";
        String name;
        String cId;
        String uId;
    }

    private QuickUpload2() {
        // 配置浏览器驱动地址
        System.setProperty("webdriver.chrome.driver", "e:/temp/chromedriver.exe");
        ChromeOptions option = new ChromeOptions();
        option.addArguments("no-sandbox");// 禁用沙盒
        // 通过ChromeOptions的setExperimentalOption方法，传下面两个参数来禁止掉谷歌受自动化控制的信息栏
        option.setExperimentalOption("useAutomationExtension", false);
        option.setExperimentalOption("excludeSwitches", Collections.singletonList("enable-automation"));
        driver = new ChromeDriver(option);

    }

    public void login() {
        try {
            driver.get(host + "/login.php");
            driver.findElement(By.id("loginEmail")).sendKeys(user.mail);
            TimeUnit.SECONDS.sleep(1);
            driver.findElement(By.id("loginPassword")).sendKeys(user.pass);
            TimeUnit.SECONDS.sleep(1);
            WebElement btn = driver.findElement(By.id("loginButton"));
            btn.click();
            TimeUnit.SECONDS.sleep(2);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void upload(String path) {
        try {
            TimeUnit.SECONDS.sleep(4);
            driver.get(host + "/quick-upload/");
            TimeUnit.SECONDS.sleep(2);
            WebElement frm = driver.findElement(By.className("upload-pdf-form"));
            driver.executeScript("arguments[0].style=\"display: block !important;\"", frm  );
            TimeUnit.SECONDS.sleep(2);
            WebElement inputFile = driver.findElement(By.id("upload-pdf-input"));
            inputFile.sendKeys(path);
            TimeUnit.SECONDS.sleep(2);
            driver.executeScript("$(arguments[0]).fileupload()",inputFile);
            TimeUnit.SECONDS.sleep(1000);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private void close() {
        driver.quit();
        driver = null;

    }

    public static void main(String[] args) {
        QuickUpload2 qu = new QuickUpload2();
        qu.login();
        qu.upload("e:/temp/Java编码规范.pdf");
        qu.close();

    }

}
