package com.mingxue.spider.youzy;

import org.apache.commons.lang3.StringUtils;

import com.alibaba.fastjson.JSONObject;

import cn.hutool.core.lang.Dict;

public class UserService extends AbstractService {

    public void validate(String mobile, String password) {
        if (StringUtils.isNotBlank(getAccessToken())) {
            return;
        }
        String api = "/tocusers/youzy.toc.user.login.validate";
        Dict body = Dict.create();
        body.set("username", mobile).set("password", password);
        JSONObject res = (JSONObject)postBody(api,null, body);
        if (res.containsKey("validateUserOutput")) {
            JSONObject user = res.getJSONObject("validateUserOutput");
            JSONObject token = user.getJSONObject("userToken");
            setAccessToken(token.getString("accessToken"));
            //setProvinceId(user);
        } else {
            System.out.println(res);
        }
    }
}
